Sites
Update a collection item
Edits the draft. `status` DRAFT unpublishes, ARCHIVED hides. `publish` true puts the saved draft live. Without `expectedContentVersion` the current draft is overwritten; a stale one fails.
Edits the draft. status DRAFT unpublishes, ARCHIVED hides. publish true puts the saved draft live. Without expectedContentVersion the current draft is overwritten; a stale one fails.
x-api-key<token>
In: header
Path Parameters
siteId*string
collectionId*string
itemId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/sites/string/collections/string/items/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "collectionId": "string", "slug": "string", "status": "DRAFT", "name": "string", "data": { "name": "string" }, "seo": { "title": "string", "description": "string", "ogImage": "string", "noindex": true, "schemaType": "WebPage", "publishedAt": "string" }, "publishedSlug": "string", "publishedAt": "2019-08-24T14:15:22Z", "hasUnpublishedChanges": true, "sortOrder": 0, "contentVersion": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}
Planeward Docs